Create a new ridership account.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Ridership under the Ridership category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/ridership/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Springfield Public Schools",
"externalIds": {}
}
'{
"data": {
"createdAtTime": "2024-11-15T10:00:00Z",
"id": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
"name": "Springfield Public Schools",
"updatedAtTime": "2024-11-15T10:30:00Z",
"externalIds": {}
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK response.
A ridership account entity.
Show child attributes
curl --request POST \
--url https://api.samsara.com/ridership/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Springfield Public Schools",
"externalIds": {}
}
'{
"data": {
"createdAtTime": "2024-11-15T10:00:00Z",
"id": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
"name": "Springfield Public Schools",
"updatedAtTime": "2024-11-15T10:30:00Z",
"externalIds": {}
}
}